Package io.vertx.rxjava3.core.net.endpoint

## Class ServerEndpoint

- java.lang.Object
- - io.vertx.rxjava3.core.net.endpoint.ServerEndpoint

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class ServerEndpoint
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A physical server of an endpoint.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ServerEndpoint>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerEndpoint​(ServerEndpoint delegate)` |
    `ServerEndpoint​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SocketAddress` | `address()` |
    `boolean` | `equals​(Object o)` |
    `ServerEndpoint` | `getDelegate()` |
    `int` | `hashCode()` |
    `String` | `key()` |
    `static ServerEndpoint` | `newInstance​(ServerEndpoint arg)` |
    `ServerInteraction` | `newInteraction()` | Initiate a request/response interaction with the endpoint represented by this node, the returned interaction gathers statistics.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ServerEndpoint> __TYPE_ARG

  - ### Constructor Detail

    - #### ServerEndpoint

          public ServerEndpoint​(ServerEndpoint delegate)

    - #### ServerEndpoint

          public ServerEndpoint​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ServerEndpoint getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### key

          public String key()

      Returns:
        the node key for hashing strategies

    - #### address

          public SocketAddress address()

      Returns:
        the server socket address

    - #### newInteraction

          public ServerInteraction newInteraction()

      Initiate a request/response interaction with the endpoint represented by this node, the returned interaction gathers statistics.
      Returns:
        the request

    - #### newInstance

          public static ServerEndpoint newInstance​(ServerEndpoint arg)